KFIFO_IN_SPINLOCKED(9)

NAME
kfifo_in_spinlocked - put data into the fifo using a spinlock for locking

SYNOPSIS

kfifo_in_spinlocked(fifo, buf, n, lock);

ARGUMENTS

fifo
    address of the fifo to be used

buf
    the data to be added

n
    number of elements to be added

lock
    pointer to the spinlock to use for locking

DESCRIPTION

This macro copies the given values buffer into the fifo and returns the number of copied elements.

COPYRIGHT